compiling pppd 2.3.5 with kernel2.2.1

compiling pppd 2.3.5 with kernel2.2.1

Post by David Fenye » Sun, 14 Feb 1999 04:00:00



Hello,

I'm now running kernel 2.2.1, and although pppd 2.3.3 seems to work
with this version, it did not with the 2.1.x series, and I understand
that 2.3.5 is the preferred version of pppd.

When I try to compile pppd 2.3.5, it doesn't copy its own headers into
the kernel tree, saying the kernel files are newer.  Nonetheless, the
compile fails with obvious ppp structure discrepancies.  Is this a
known problem?  What is the appropriate way to compile the latest
pppd?

Thanks,

David.
--

 
 
 

1. compiling pppd 2.3.5 with kernel2.2.1

: I'm now running kernel 2.2.1, and although pppd 2.3.3 seems to work
: with this version, it did not with the 2.1.x series, and I understand
: that 2.3.5 is the preferred version of pppd.

: When I try to compile pppd 2.3.5, it doesn't copy its own headers into
: the kernel tree, saying the kernel files are newer.  Nonetheless, the
: compile fails with obvious ppp structure discrepancies.  Is this a
: known problem?  What is the appropriate way to compile the latest
: pppd?

If you are using a linux source tree that is not in the usual place,
i.e., /usr/src/linux, then you likely are using the (wrong) symbolic
links in /usr/include which point to directories in the linux source
tree that *is* in the right place.

--

/* The wealth of a nation is created by the productive labor of its
 * citizens. */

2. Will Linux users pay $$$ for apps?

3. HELP> Failed to compile pppd 2.1.2c !!!

4. 4mm backup

5. kernel2.2.1 and shutdown on asus-pii-board

6. how to?

7. Compiling pppd with cbcp (was Re: can't compile pppd)

8. tty1a versus tty1A

9. more pppd/kernel2.4.x problems

10. pppd 2.1.2b: lcp-echo-failure does not work?

11. problems with pppd under 2.1.*

12. "LCP: timeout sending Config-Requests" w/ pppd 2.1 p2

13. Q: pppd 2.1.2c broken over kernel 1.2.7?